| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTriangleVertex Class Reference
[Geometry utilities]

The representation of a vertex in a triangle mesh. More...

`#include <csgeom/trimesh.h>`

Inheritance diagram for csTriangleVertex:

[legend]
List of all members.

## Public Member Functions
| csTriangleVertex ()
| ~csTriangleVertex ()
## Public Attributes
csArray< size_t > | con_triangles
| Triangles that this vertex is connected to.
csArray< int > | con_vertices
| Other vertices that this vertex is connected to.
int | idx
| Index of this vertex.
csVector3 | pos
| Position of this vertex in 3D space.

## Detailed Description

The representation of a vertex in a triangle mesh.

This is basically used as a temporary structure to be able to calculate the cost of collapsing this vertex more quickly.

Definition at line 79 of file trimesh.h.

## Member Data Documentation

csArray<size_t> csTriangleVertex::con_triangles

Triangles that this vertex is connected to.

Definition at line 88 of file trimesh.h.

csArray<int> csTriangleVertex::con_vertices

Other vertices that this vertex is connected to.

Definition at line 91 of file trimesh.h.

int csTriangleVertex::idx

Index of this vertex.

Definition at line 85 of file trimesh.h.

csVector3 csTriangleVertex::pos

Position of this vertex in 3D space.

Definition at line 83 of file trimesh.h.

The documentation for this class was generated from the following file:

- csgeom/trimesh.h